What do you need help with?

X


Please note the hardware and software requirements listed below. E-mail us if you have any questions!

Mac

Duet supports all Mac hardware that runs OS X 10.9, 10.10, 10.11, 10.12, 10.13*, and 10.14 (Mavericks, Yosemite, El Capitan, Sierra, High Sierra*, Mojave). For the best experience on macOS Mojave we recommend you upgrade to 10.14.2+.

We do not support 10.6, 10.7, and 10.8 (Snow Leopard, Lion, and Mountain Lion).

PC

Duet supports all PC hardware that runs Windows 8.1 or later.

iOS

Duet's latest updates support all iOS hardware running iOS 10 or later. Older versions of the Duet app are compatible with iOS 7.0 

Duet cannot be used with an iPad 1 as it only supports 5.1.1 or earlier.




Was this article helpful?


? Contact